# Set-RASPubRDSAppServerAttr.md

## NAME

Set-RASPubRDSAppServerAttr

## SYNOPSIS

Modify RDS application attributes on specific server from where the application is hosted.

## SYNTAX

\*\*Set-RASPubRDSAppServerAttr \[[Id](#id-string)] *(uint)* -[ServerId](#serverid-string) *(uint)* \[[Parameters](#parameters-string) *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[[StartIn](#startin-string) *(string)*] \[[Target](#target-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASPubRDSAppServerAttr \[-[InputObject](#inputobject)] *(*[*PubItem*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md)*)* -[ServerId](#serverid-string) *(uint)* \[[Parameters](#parameters-string) *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[[StartIn](#startin-string) *(string)*] \[[Target](#target-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modify RDS application attributes on a specific server from where the application is hosted.

## PARAMETERS

## ServerId (uint)

RDS server ID on which the attributes will be updated.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Target (string)

Application target file. (i.e. calc.exe, file.txt, etc.)

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## StartIn (string)

Application working directory.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Parameters (string)

Application parameters.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Published resource ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([PubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md))

An object specifying the published resource.

To obtain the object, use the Get-PubItem cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[PubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md)

## OUTPUTS

[PubRDSApp](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubrdsapp.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASPubRDSAppServerAtt -Id 2 -ServerID 15 -Target cmd.exe -StartIn C:\Windows\ -Parameters "-param 1 -param 2"

Updates an existing per server application attribute settings by application Id.\
\*\*---------- EXAMPLE 2 ----------

Set-RASPubRDSAppServerAtt -InputObject $RDSApp -ServerID 15 -Target cmd.exe -StartIn C:\Windows\ -Parameters "-param 1 -param 2"

Updates an existing per server application attribute settings by input object.\
\*\*---------- EXAMPLE 3 ----------

Get-RASPubRDSApp -Id 2 | Set-RASPubRDSAppServerAtt -ServerID 15 -Target cmd.exe -StartIn C:\Windows\ -Parameters "-param 1 -param 2"

Updates an existing per server application attribute settings by input object from pipeline.\
\*\*---------- EXAMPLE 4 ----------

Set-RASPubRDSApp -Id 1 -Package "AppPackage2" -PackagedApp "TestApp2"

Modifies the package and packaged app details of the published application specified by ID.

## RELATED LINKS

* [Add-RASPubRDSAppServerAttr](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-raspubrdsappserverattr.md)
* [Get-RASPubRDSAppServerAttr](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubrdsappserverattr.md)
* [Remove-RASPubRDSAppServerAttr](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raspubrdsappserverattr.md)
* [Get-RASRDSHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshost.md)
* [Get-RASPubRDSApp](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubrdsapp.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspubrdsappserverattr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
